NodeAccountingUI (GWT Maven Archetype 1.5.0-3.1.1 API)
Date: 2014-06-03

org.gcube.messaging.accounting.nodeaccountingportlet

## Class NodeAccountingUI

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.messaging.accounting.nodeaccountingportlet.NodeAccountingUI

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class NodeAccountingUI
      extends javax.portlet.GenericPortlet

  NodeAccountingUI Portlet Class
  Author:
    andrea

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAccountingUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEdit(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `doHelp(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doHeaders, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAccountingUI

          public NodeAccountingUI()

  - ### Method Detail

    - #### doView

          public void doView(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### doEdit

          public void doEdit(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doEdit` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### doHelp

          public void doHelp(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doHelp` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### processAction

          public void processAction(javax.portlet.ActionRequest request,
                           javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

Copyright © 2014. All Rights Reserved.